#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.14
visibility:           public
id:                   stm-hamt-1.2.0.14-LjZNOAzfd8CI9oCqAB0J2T
key:                  stm-hamt-1.2.0.14-LjZNOAzfd8CI9oCqAB0J2T
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by the
    <http://hackage.haskell.org/package/stm-containers stm-containers>.

category:             Data Structures, STM, Concurrency
abi:                  c52e6987973725dce7c6fa33546008bf
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.2.8/site-local/stm-hamt-1.2.0.14
library-dirs:         /usr/lib/ghc-9.2.8/site-local/stm-hamt-1.2.0.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.14-LjZNOAzfd8CI9oCqAB0J2T
depends:
    base-4.16.4.0 deferred-folds-0.9.18.6-Chs77LY5gS8DJLLIDxT1ph
    focus-1.0.3.2-Dn0jPsm1wBd6imF8XH0DOB
    hashable-1.4.3.0-4gqtyFKn8Wu9OwsZtyYGdt
    list-t-1.0.5.4-Jy55HCiGeGnGP6u01xV7P9
    primitive-0.7.4.0-IuAkHfsD4drDvErljoigXB
    primitive-extras-0.10.1.10-KWSC4doZ6IX2GIKgBSB2ar
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

